﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        .progress { width:400px}
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <input type="file" name="postedFile" /><input type="button" id="btnUpload" value="Upload" />
        <div class="progress" style="display: none">
            <div class="progress-bar" role="progressbar"></div>
        </div>
        <div id="lblMessage" style="color: Green"></div>
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css" />
        <script type="text/javascript">
            $("body").on("click", "#btnUpload", function () {
                $.ajax({
                    url: 'HandlerCS.ashx',
                    type: 'POST',
                    data: new FormData($('form')[0]),
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (file) {
                        setTimeout(function () {
                            $(".progress").hide();
                            $("#lblMessage").html("<b>" + file.name + "</b> has been uploaded.");
                        }, 1000);
                    },
                    error: function (a) {
                        $("#lblMessage").html(a.responseText);
                    },
                    failure: function (a) {
                        $("#lblMessage").html(a.responseText);
                    },
                    xhr: function () {
                        var fileXhr = $.ajaxSettings.xhr();
                        if (fileXhr.upload) {
                            $(".progress").show();
                            fileXhr.upload.addEventListener("progress", function (e) {
                                if (e.lengthComputable) {
                                    var percentage = Math.ceil(((e.loaded / e.total) * 100));
                                    $('.progress-bar').text(percentage + '%');
                                    $('.progress-bar').width(percentage + '%');
                                    if (percentage == 100) {
                                        $('.progress-bar').text('100%');
                                    }
                                }
                            }, false);
                        }
                        return fileXhr;
                    }
                });
            });
        </script>
    </form>
</body>
</html>
